al_fixcos(3)

NAME

al_fixcos - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    al_fixed al_fixcos(al_fixed x);

DESCRIPTION

This function finds the cosine of a value using a lookup table. The input value must be a fixed point binary angle.

Example:

    al_fixed angle;
    float result;
    /* Set the binary angle to 45 degrees. */
    angle = al_itofix(32);
    /* The cosine of 45 degrees is about 0.7071. */
    result = al_fixtof(al_fixcos(angle));
    assert(result > 0.7 && result < 0.71);

RETURN VALUE

Returns the cosine of a fixed point binary format angle as a fixed point value.